#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	hunspell
Summary:	Pyhunspell - Python 2.x bindings for the Hunspell spellchecker engine
Summary(pl.UTF-8):	Pyhunspell - wiązania Pythona 2.x do silnika sprawdzania pisowni Hunspell
Name:		python-%{module}
Version:	0.4.1
Release:	3
License:	GPL v3+
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/simple/hunspell/
Source0:	https://pypi.python.org/packages/source/h/hunspell/hunspell-%{version}.tar.gz
# Source0-md5:	d8b69c71a1e4d9a74c00972f76ea06bc
URL:		http://github.com/blatinier/pyhunspell
BuildRequires:	hunspell-devel >= 1.3
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
%if %{with python2}
BuildRequires:	python-devel >= 2
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
%endif
Requires:	python-modules >= 2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pyhunspell is a set of Python bindings for the Hunspell spellchecker
engine. It lets developers load Hunspell dictionaries, check words,
get suggestions, add new words, etc. It also provides some basic
morphological analysis related methods.

%description -l pl.UTF-8
Pyhunspell to zbiór wiązań Pythona do silnika sprawdzania pisowni
Hunspell. Pozwala załadować słowniki, sprawdzać pisownię słów, uzyskać
sugestie, dodawać nowe słowa itp. Daje dostęp do podstawowywch metod
analizy morfologicznej.

%package -n python3-%{module}
Summary:	Pyhunspell - Python 3.x bindings for the Hunspell spellchecker engine
Summary(pl.UTF-8):	Pyhunspell - wiązania Pythona 3.x do silnika sprawdzania pisowni Hunspell
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-%{module}
Pyhunspell is a set of Python bindings for the Hunspell spellchecker
engine. It lets developers load Hunspell dictionaries, check words,
get suggestions, add new words, etc. It also provides some basic
morphological analysis related methods

%description -n python3-%{module} -l pl.UTF-8
Moduł interfejsu do słownika Hunspell. Pozwala załadować słowniki,
sprawdzać pisownie, uzyskać sugestie, dodawać słowa itp. Daje dostęp
do podstawowywch metod analizy morfologicznej.

%prep
%setup -q -n %{module}-%{version}

hunspell_abi="$(pkg-config --modversion hunspell | cut -d. -f1-2)"
%{__sed} -i -e "/libraries/s/'hunspell'/'hunspell-${hunspell_abi}'/" setup.py

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/hunspell.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/hunspell-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%attr(755,root,root) %{py3_sitedir}/hunspell.cpython-*.so
%{py3_sitedir}/hunspell-%{version}-py*.egg-info
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-hunspell.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 2829c95
- python 3.6
- release 3 (by relup.sh)

* Sun May 29 2016 Jan Rękorajski <baggins@pld-linux.org> 5a13da1
- rebuild with hunspell 1.4.1
- release 2 (by relup.sh)

* Mon May 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 59c75a2
- updated to 0.4.1
- lib_fix patch replaced by sed call getting ABI version from pkg-config

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 46b06f1
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a5bf66f
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ecc1fc9
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c1ef949
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1bfab12
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sat Oct 25 2014 Jakub Bogusz <qboosh@pld-linux.org> e0e62b7
- hunspell 1.3 is now required

* Fri Oct 24 2014 Mateusz Korniak <matkor@pld-linux.org> 820efa1
- Merged mainline

* Fri Oct 24 2014 Mateusz Korniak <matkor@pld-linux.org> 98a597a
- Version 0.3.2. Lots of bugfixes.

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b97a56
- python 3.4
- release 2 (by relup.sh)

* Thu Sep 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 632dbe7
- cleanup

* Thu Sep 18 2014 Mateusz Korniak <matkor@pld-linux.org> 2fc57f5
- Version 0.3.1. Release 1. python3 supported.

* Tue Sep 16 2014 Mateusz Korniak <matkor@pld-linux.org> c6c2eaa
- Killed #md5= part in Source.

* Tue Sep 16 2014 Mateusz Korniak <matkor@pld-linux.org> c6c6bfd
- Initial 0.2.1. Release 1.

